<?php
	require_once("../includes/clase_sesion.php");
	$sesion=new sesion();
	
	require_once("../includes/academia_constantes.php");
	require_once("../includes/funciones_generales.php");
	
	require_once("../includes/lib_lenguaje.php");
	$cleguaje=new cLanguage();
	
	$sesion->set('permiso',permisos($_POST['privilegio']));
	
		
	if(!comprobar_sesion()){
		mensaje($cleguaje->Phrase('global','ses_cad'),$cleguaje->Phrase('project','institucion'));
		exit;	
	}
	
	require_once('../includes/MySQL.php');
	$academia = new Servidor_Base_Datos(AC_CONN_HOST,AC_CONN_USER,AC_CONN_PASS,AC_CONN_DB."".$sesion->get('anio'));
	$cd_new_gr=escapar($_REQUEST['new_gr']);
	//sql para traer las materias del nuevo curso grupo
	$cod_estudiante=$_REQUEST["idestu"];
	
	$sql="SELECT  aca_asignaturas.cod_asi , aca_asignaturas.nom_asi, aca_asignaturasxgrupos.cod_asigxgrupo FROM aca_asignaturasxgrupos
    INNER JOIN aca_asignaturas 
        ON (aca_asignaturasxgrupos.cod_asi = aca_asignaturas.cod_asi) WHERE aca_asignaturasxgrupos.cod_grupo='$cd_new_gr' ORDER BY aca_asignaturas.pri_asi";
	//echo $sql . "<br/>";
	//sql para traer las materias del curso grupo en el que estaba matriculado anteriormente
	$cd_ant_gr=escapar($_REQUEST['cd_ant_gr']);
	
	
	$academia->instruccion($sql);
	$content="";
	$dt= array();
	$i=0;
	while($r=$academia->extraer_registro()){
		$dt[$i]=array($r[cod_asi],$r[cod_asigxgrupo],$r[nom_asi]);
		$i++;
	}
	
	
	$sql2="SELECT aca_asignaturas.cod_asi , aca_asignaturas.nom_asi, aca_asignaturasxgrupos.cod_asigxgrupo FROM aca_asignaturasxgrupos INNER JOIN aca_asignaturas 
        ON (aca_asignaturasxgrupos.cod_asi = aca_asignaturas.cod_asi) INNER JOIN aca_estxasigxgrupos ON (aca_estxasigxgrupos.cod_asigxgrupo = aca_asignaturasxgrupos.cod_asigxgrupo) WHERE aca_asignaturasxgrupos.cod_grupo='$cd_ant_gr' AND aca_estxasigxgrupos.cod_estudiante='$cod_estudiante' ORDER BY aca_asignaturas.pri_asi";
	
	
	
//	"SELECT aca_asignaturas.cod_asi , aca_asignaturas.nom_asi, aca_asignaturasxgrupos.cod_asigxgrupo, aca_calxasixest.cod_calxasixest FROM   aca_asignaturasxgrupos
 //   INNER JOIN aca_asignaturas ON (aca_asignaturasxgrupos.cod_asi = aca_asignaturas.cod_asi) INNER JOIN aca_estxasigxgrupos ON (aca_estxasigxgrupos.cod_asigxgrupo = aca_asignaturasxgrupos.cod_asigxgrupo) INNER JOIN aca_calxasixest ON (aca_calxasixest.cod_estxasigxgrupo = aca_estxasigxgrupos.cod_estxasigxgrupos) WHERE aca_asignaturasxgrupos.cod_grupo='$cd_ant_gr' AND aca_estxasigxgrupos.cod_estudiante='$cod_estudiante' ORDER BY aca_asignaturas.pri_asi";
	
	
	
//	SELECT  aca_asignaturas.cod_asi , aca_asignaturas.nom_asi, aca_asignaturasxgrupos.cod_asigxgrupo, aca_calxasixest.cod_calxasixest FROM aca_asignaturasxgrupos 
//INNER JOIN aca_asignaturas ON (aca_asignaturasxgrupos.cod_asi = aca_asignaturas.cod_asi) INNER JOIN aca_calxasixest ON (aca_calxasixest.cod_asigxgrupo = aca_asignaturasxgrupos.cod_asigxgrupo) 
 //WHERE aca_asignaturasxgrupos.cod_grupo='$cd_ant_gr' and aca_calxasixest.cod_estudiante='$cod_estudiante' ORDER BY aca_asignaturas.pri_asi";
 //echo $sql2;
?>	
<!DOCTYPE HTML>
<html>
<head>
<meta charset="utf-8">
<title>Documento sin título</title>
<script type="text/javascript">
$(document).ready(function(e) {
	$("#new_sede").html(sessionStorage.nom_new_sede)
	$("#new_jornada").html(sessionStorage.nom_new_jorn)
	$("#new_grupo").html(sessionStorage.nom_new_grup)
	
	$("#ant_sede").html(sessionStorage.nom_ant_sede)
	$("#ant_jornada").html(sessionStorage.nom_ant_jorn)
	$("#ant_grupo").html(sessionStorage.nom_ant_grup)
	
	var dt=new Array();
	$(".mat_ant").each(function(i, element) {      
		dt[i]={
			id_elemen:"#"+element.id,
			cod_mat:$(this).val(),
		}
    });
	
	$(".mat_ant").change(function(){
		cod=$(this).val();
		var ban=0;
		for(i=0;i<dt.length;i++){
			if(dt[i].cod_mat==cod){
				dt[i].cod_mat=cod
				$(this).addClass('campos_error')
				$(dt[i].id_elemen).addClass('campos_error')
				ban=1
			}
		}
		if(ban==0){
			$(this).addClass('campos')
		}
	})
	
	$("#guardar_rel_mat").click(function(){
		jConfirm(dtsLang.estudiantes.msg_cam_estgrup,dtsLang.project.empresa,function(r){
			if(!r){$.fn.colorbox.close(); return false; }
			datas=$("#form_rel_mat").serialize();
			$.ajax({
				type:"POST",
				url: 'mod_estudiantes/opera_matricula.php',
				data:datas,
				beforeSend: function(){
					jProgresbar("Guardando informacion...<br>Por favor espere..",'<?php  echo $cleguaje->Phrase('project','empresa') ?>'); 
				},
				success:function(rta){
					r=rta.split('|');
					jPbarClose();
					if(r[0]!=0){
						if (r[0]=='session'){
							modulo='global'
						}else{
							modulo='estudiantes' 
						}
						jAlert(getMsg(modulo,r[0]),'<?php  echo $cleguaje->Phrase('project','institucion') ?>',function(){
							if(rta=='session'){
								$.fn.colorbox.close();
								location.reload();	
							}	
						});
					}else{
						$("#can_mat, #cb_matricula").attr('cod',r[1]);
						jQuery("#listado_estudiantes").setCell('<?php echo $id_estudiante; ?>','matriculado','<img src="images/activo.png" title="Si">');
							jQuery("#listado_estudiantes").setCell('<?php echo $id_estudiante; ?>','estado_est','<img src="images/activo.png" title="No">');
							$("#matricular").hide();
							$("#cb_matricula,#datos_matricula, #can_mat").show()						
							$("#activar").hide();
							$("#desactiva").show();
							
						$("#sed_mat_actual").html(sessionStorage.nom_new_sede)
						$("#jor_mat_actual").html(sessionStorage.nom_new_jorn)
						$("#gru_mat_actual").html(sessionStorage.nom_new_grup)
						
						$.fn.colorbox.close();
						notifica_ok("<?php echo $cleguaje->Phrase('estudiantes','relacion_mat_ok') ?>");
					}
				}
			});
		});
	});
	
});
</script>
</head>
<body bgcolor="#F0F4FF">

<form action="" method="get" name="form_rel_mat" id="form_rel_mat">
<input name="caso" type="hidden" value="relacion">
<input name="cod_mat" type="hidden" value="<?php  echo $_REQUEST['id_cod_mat_est'] ?>">
<input name="cod_new_gr" id="cod_new_gr" type="hidden" value="<?php echo $cd_new_gr ?>">
<input name="cod_ant_gr" id="cod_ant_gr" type="hidden" value="<?php echo $cd_ant_gr ?>">
<input name="cod_estudiante" id="cod_estudiante" type="hidden" value="<?php echo $_REQUEST['idestu'] ?>">

<table border="0" align="center" cellspacing="0">
  <tr>
    <th colspan="3">Asignaturas curso anterior con notas</th>
    <th colspan="2">materias del Nuevo curso </th>
  </tr>
  <tr>
    <td width="83" rowspan="3" align="left">
    <div><span class="tit1"><?php echo $cleguaje->getField('global','name_sede') ?>:</span></div>
      <div><span class="tit1">Jornada:</span></div>
      <div><span class="tit1">Grupo:</span></div></td>
    <td width="167"><span id="ant_sede" class="tit2"></span></td>
    <td width="2" rowspan="3">&nbsp;</td>
    <td width="83" align="left"><div><span class="tit1"><?php echo $cleguaje->getField('global','name_sede') ?>:</span></div></td>
    <td width="172"><div><span id="new_sede" class="tit2"></span></div></td>
    </tr>
  <tr>
    <td width="167"><span id="ant_jornada" class="tit2"></span></td>
    <td align="left"><div><span class="tit1">Jornada:</span></div></td>
    <td width="172"><div><span id="new_jornada" class="tit2"></span></div></td>
  </tr>
  <tr>
    <td width="167"><span id="ant_grupo" class="tit2"></span></td>
    <td align="left"><div><span class="tit1">Grupo:</span></div></td>
    <td width="172"><div><span id="new_grupo" class="tit2"></span></div></td>
  </tr>
  <tr>
    <td colspan="2">&nbsp;</td>
    <td>&nbsp;</td>
    <td colspan="2">&nbsp;</td>
    </tr>
<?php

	function generar_opc($id){
		global $dt;
		for($k=0;$k<count($dt);$k++){
			if($dt[$k][0]==$id)
				echo "<option value='".$dt[$k][1]."' selected>".$dt[$k][2]."</option>";
			else{
				echo "<option value='".$dt[$k][1]."'>".$dt[$k][2]."</option>";
			}
		}
	}
	
	$academia->instruccion($sql2);
	$i=0;
	while($reg=$academia->extraer_registro()){
?>  
  <tr class="tb_elegant">
    <td colspan="2"><input name="txt_mat_ant[]" id="<?php echo "txt_mat_ant".$i ?>" type="hidden" value="<?php echo $reg[cod_asigxgrupo] ?>"><?php echo $reg[nom_asi] ?></td>
    <td>&nbsp;</td>
    <td colspan="2">
    	<select name="txt_mat_new[]" id="<?php echo "txt_mat_new".$i ?>" class="campos mat_ant" style="width:250px">
        	<option value="0x"><?php echo $cleguaje->Phrase('estudiantes','msg_select') ?></option>
        	<?php generar_opc($reg[cod_asi]) ?> 
    	</select>
    </td>
    </tr>
<?php 
	$i++;
	} 
?>  
  <tr>
    <td colspan="2">&nbsp;</td>
    <td>&nbsp;</td>
    <td colspan="2">&nbsp;</td>
    </tr>
    <tr>
    <td colspan="5" align="center">
		<button type="button" class="btn btn-small btn-info" id="guardar_rel_mat" data-acc='new'>
			<i class="ui-btn-save icon-white"></i>
			<span>Guardar</span>
		</button>     
    </td>
    </tr>
</table>
</form>

</body>
</html>